curl --location --request GET 'https://api.hirempire.com/v1/webhooks' \
--header 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://api.hirempire.com/v1/webhooks', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/webhooks"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhooks',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
{
"success": true,
"data": [
{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"request_url": "https://example.com/webhook",
"created_at": "2025-07-01T04:27:13.000Z",
"active": true,
"events": [
"job_added",
"job_activated",
"meeting_booked"
]
}
]
}
Webhooks
Get Webhooks
Retrieve all registered webhooks for your account
GET
/
v1
/
webhooks
curl --location --request GET 'https://api.hirempire.com/v1/webhooks' \
--header 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://api.hirempire.com/v1/webhooks', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/webhooks"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhooks',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
{
"success": true,
"data": [
{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"request_url": "https://example.com/webhook",
"created_at": "2025-07-01T04:27:13.000Z",
"active": true,
"events": [
"job_added",
"job_activated",
"meeting_booked"
]
}
]
}
Authentication
string
required
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.curl --location --request GET 'https://api.hirempire.com/v1/webhooks' \
--header 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://api.hirempire.com/v1/webhooks', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.hirempire.com/v1/webhooks"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhooks',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
Response
boolean
Indicates if the request was successful
array
{
"success": true,
"data": [
{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"request_url": "https://example.com/webhook",
"created_at": "2025-07-01T04:27:13.000Z",
"active": true,
"events": [
"job_added",
"job_activated",
"meeting_booked"
]
}
]
}
data array will be empty:
{
"success": true,
"data": []
}
Error Responses
Validation Errors
400 - Bad Request{
"success": false,
"error": "Invalid token"
}
{
"success": false,
"error": "Input is incorrect."
}
Authorization Errors
401 - Unauthorized{
"success": false,
"error": "Token is expired"
}
Was this page helpful?
⌘I